slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPGetJacobian

Returns the Jacobian matrix and optionally the user provided routine and context for evaluating the Jacobian.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetJacobian(NEP nep,Mat *A,PetscErrorCode (**jac)(NEP,PetscScalar,Mat,void*),void **ctx)

Not Collective

### Input Parameter

| nep | - the nonlinear eigensolver context

### Output Parameters

| A | - location to stash Jacobian matrix (or NULL)
| jac | - location to put Jacobian function (or NULL)
| ctx | - location to stash Jacobian context (or NULL)

### See Also

NEPSetJacobian()

### Level

advanced

### Location

src/nep/interface/nepbasic.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages